package org.tzambalayev.ideaplugins.tabswitch;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

final class MRUStack {

    private final List list = new ArrayList();
    private final int historyLimit;

    MRUStack(int historyLimit) {
        this.historyLimit = historyLimit;
    }

    void push(Object object) {
        if (object == null) {
            throw new NullPointerException();
        }
        list.remove(object);
        list.add(0, object);
    }

    List getList() {
        return list;
    }

    void checkCurrentList(Object[] objects) {
        List currentList = Arrays.asList(objects);
        for (int i = historyLimit; i < list.size(); ) {
            if (currentList.contains(list.get(i))) {
                i++;
            } else {
                list.remove(i);
            }
        }
    }

}
