package org.tzambalayev.ideaplugins.tabswitch;

import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import javax.swing.KeyStroke;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.project.Project;

import org.intellij.openapi.actionSystem.DataContextWrapper;

abstract class TabAction extends AnAction {

    abstract boolean isShiftDownAllowed();

    public final void actionPerformed(AnActionEvent actionEvent) {
        InputEvent inputEvent = actionEvent.getInputEvent();
        if (inputEvent instanceof KeyEvent) {
            KeyEvent keyEvent = (KeyEvent) inputEvent;
            if (keyEvent.getID() == KeyEvent.KEY_PRESSED && keyEvent.isShiftDown() ^ !isShiftDownAllowed()) {
                int downModifiers = MaskUtil.getModifiers(keyEvent);
                if (downModifiers != 0 && MaskUtil.isOneDown(downModifiers)) {
                    Project project = new DataContextWrapper(actionEvent.getDataContext()).getProject();
                    TabSelector tabSelector = new TabSelector(project);
                    String[] fileNames = tabSelector.getFileNames();
                    if (fileNames.length >= 1) {
                        KeyStroke keyStroke = KeyStroke.getKeyStrokeForEvent(keyEvent);
                        FileEntry[] fileEntries = tabSelector.getFileEntries();
                        OpenFilesDialog openFilesDialog = new OpenFilesDialog(project, tabSelector, fileNames, fileEntries);
                        TabSwitchApplicationComponent.getInstance().register(keyStroke, openFilesDialog);
                        openFilesDialog.show();
                        openFilesDialog.centerDialog();
                    }
                }
            }
        }
    }

}
