package org.tzambalayev.ideaplugins.tabswitch;

import java.awt.KeyboardFocusManager;
import javax.swing.KeyStroke;

import com.intellij.openapi.application.Application;
import com.intellij.openapi.application.ApplicationManager;

import org.intellij.openapi.components.ExternalizableApplicationComponent;

final class TabSwitchApplicationComponent extends ExternalizableApplicationComponent {

    private final TabSwitchKeyEventDispatcher tabSwitchKeyEventProcessor = new TabSwitchKeyEventDispatcher();

    private int historyLimit = 1;

    public String getComponentName() {
        return "TabSwitchApplicationComponent";
    }

    int getHistoryLimit() {
        return historyLimit;
    }

    static TabSwitchApplicationComponent getInstance() {
        Application application = ApplicationManager.getApplication();
        return (TabSwitchApplicationComponent) application.getComponent(TabSwitchApplicationComponent.class);
    }

    void register(KeyStroke keyStroke, OpenFilesDialogInterface openFilesDialogInterface) {
        tabSwitchKeyEventProcessor.register(keyStroke, openFilesDialogInterface);
    }

    public void initComponent() {
        KeyboardFocusManager.getCurrentKeyboardFocusManager().addKeyEventDispatcher(tabSwitchKeyEventProcessor);
    }

}
