package org.tzambalayev.ideaplugins.tabswitch;

import java.util.Iterator;
import java.util.List;

import com.intellij.openapi.vfs.VirtualFile;

final class VirtualFileMRUStack {

    private final MRUStack mruStack;
    private final List fileList;

    VirtualFileMRUStack(int historyLimit) {
        mruStack = new MRUStack(historyLimit);
        fileList = mruStack.getList();
    }

    void push(VirtualFile newFile) {
        if (newFile != null) {
            mruStack.push(newFile);
        }
    }

    VirtualFile[] getFiles() {
        return (VirtualFile[]) fileList.toArray(new VirtualFile[fileList.size()]);
    }

    void checkCurrentList(VirtualFile[] virtualFiles) {
        mruStack.checkCurrentList(virtualFiles);
        for (Iterator iterator = fileList.iterator(); iterator.hasNext();) {
            VirtualFile virtualFile = (VirtualFile) iterator.next();
            if (!virtualFile.isValid()) {
                iterator.remove();
            }
        }
    }

}
