package org.intellij.codeInsight.intention;

import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiFile;
import com.intellij.util.IncorrectOperationException;

final class AuroraIntentionAction implements com.intellij.codeInsight.intention.IntentionAction {

    private final IntentionAction intentionAction;

    AuroraIntentionAction(IntentionAction intentionAction) {
        this.intentionAction = intentionAction;
    }

    public String getText() {
        return intentionAction.getText();
    }

    public String getFamilyName() {
        return intentionAction.getFamilyName();
    }

    public boolean isAvailable(Project project, Editor editor, PsiFile psiFile) {
        return intentionAction.isAvailable(project, editor, psiFile);
    }

    public void invoke(Project project, Editor editor, PsiFile psiFile) throws IncorrectOperationException {
        intentionAction.invoke(project, editor, psiFile);
    }

}
