package org.intellij.codeInsight.intention;

import com.intellij.openapi.project.Project;

final class AuroraIntentionManager extends IntentionManager {

    private final com.intellij.codeInsight.intention.IntentionManager auroraIntentionManager;
    private final IntentionManager ariadnaIntentionManager;

    AuroraIntentionManager(Project project) {
        auroraIntentionManager = com.intellij.codeInsight.intention.IntentionManager.getInstance(project);
        ariadnaIntentionManager = new AriadnaIntentionManager();
    }

    public void addAction(IntentionAction intentionAction) {
        auroraIntentionManager.addAction(new AuroraIntentionAction(intentionAction));
        ariadnaIntentionManager.addAction(intentionAction);
    }

    public IntentionAction[] getIntentionActions() {
        return ariadnaIntentionManager.getIntentionActions();
    }

}
