package org.intellij.codeInsight.intention;

import com.intellij.openapi.project.Project;

import org.intellij.util.ResourceMap;

final class IntentionManagerMap extends ResourceMap {

    private final IntentionManagerFactory intentionManagerFactory;

    private Project project;

    IntentionManagerMap(IntentionManagerFactory intentionManagerFactory) {
        this.intentionManagerFactory = intentionManagerFactory;
    }

    IntentionManager getIntentionManager(Project project) {
        this.project = project;
        return (IntentionManager) getResource();
    }

    protected Object getKey() {
        return project;
    }

    protected Object createResource() {
        return intentionManagerFactory.createIntentionManager(project);
    }

}
