package org.intellij.openapi.actionSystem;

import com.intellij.openapi.actionSystem.ActionManager;
import com.intellij.openapi.actionSystem.AnAction;

abstract class ActionManagerDelegate extends ActionManagerUnsupportedAdapter {

    private final ActionManager actionManager;

    ActionManagerDelegate(ActionManager actionManager) {
        if (actionManager == null) {
            throw new NullPointerException();
        }
        this.actionManager = actionManager;
    }

    public final AnAction getAction(String actionId) {
        return actionManager.getAction(actionId);
    }

}
