package org.intellij.openapi.actionSystem;

import com.intellij.openapi.actionSystem.ActionGroup;
import com.intellij.openapi.actionSystem.ActionManager;
import com.intellij.openapi.actionSystem.ActionPopupMenu;
import com.intellij.openapi.actionSystem.ActionToolbar;
import com.intellij.openapi.actionSystem.AnAction;

abstract class ActionManagerUnsupportedAdapter extends ActionManager {

    private String getClassName() {
        return getClass().getName();
    }

    public AnAction getAction(String actionId) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void registerAction(String actionId, AnAction action) {
        throw new UnsupportedOperationException(getClassName());
    }

    public ActionPopupMenu createActionPopupMenu(String place, ActionGroup group) {
        throw new UnsupportedOperationException(getClassName());
    }

    public ActionToolbar createActionToolbar(String place, ActionGroup group, boolean horizontal) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getId(AnAction action) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void unregisterAction(String actionId) {
        throw new UnsupportedOperationException(getClassName());
    }

}
