package org.intellij.openapi.actionSystem;

import com.intellij.openapi.actionSystem.ActionManager;
import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.actionSystem.EditorAction;

public final class ActionManagerWrapper extends ActionManagerDelegate {

    private static ActionManagerWrapper actionManagerWrapper;
    private static ActionManager _actionManager;

    private ActionManagerWrapper(ActionManager actionManager) {
        super(actionManager);
    }

    public void executeEditorAction(String editorActionId, Editor editor, DataContext dataContext) {
        ((EditorAction) getAction(editorActionId)).getHandler().execute(editor, dataContext);
    }

    public synchronized static ActionManagerWrapper getWrapperInstance() {
        if (actionManagerWrapper == null) {
            if (_actionManager == null) {
                _actionManager = ActionManager.getInstance();
            }
            actionManagerWrapper = new ActionManagerWrapper(_actionManager);
        }
        return actionManagerWrapper;
    }

    static void setActionManager(ActionManager actionManager) {
        _actionManager = actionManager;
    }

}
