package org.intellij.openapi.actionSystem;

import com.intellij.openapi.actionSystem.DataConstants;
import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.vfs.VirtualFile;
import com.intellij.psi.PsiFile;
import com.intellij.psi.PsiManager;
import com.intellij.psi.codeStyle.CodeStyleManager;

public final class DataContextWrapper extends DataContextDelegate {

    public DataContextWrapper(DataContext dataContext) {
        super(dataContext);
    }

    public Project getProject() {
        return (Project) getData(DataConstants.PROJECT);
    }

    public VirtualFile getVirtualFile() {
        return (VirtualFile) getData(DataConstants.VIRTUAL_FILE);
    }

    public CodeStyleManager getCodeStyleManager() {
        return CodeStyleManager.getInstance(getProject());
    }

    public PsiFile getPsiFile() {
        return PsiManager.getInstance(getProject()).findFile(getVirtualFile());
    }

}
