package org.intellij.openapi.command;

import java.lang.reflect.Method;

import com.intellij.openapi.command.CommandProcessor;
import com.intellij.openapi.project.Project;

import org.intellij.util.ReflectUtil;

final class AuroraCommandProcessorWrapper extends CommandProcessorWrapper {

    private static final Method EXECUTE_COMMAND_METHOD;

    static {
        EXECUTE_COMMAND_METHOD = ReflectUtil.getMethod(CommandProcessor.class, "executeCommand",
                new Class[] {Project.class, Runnable.class, String.class, Object.class});
    }

    AuroraCommandProcessorWrapper(CommandProcessor commandProcessor) {
        super(commandProcessor);
    }

    public void executeCommand(Project project, Runnable runnable, String name, Object groupId) {
        ReflectUtil.invoke(EXECUTE_COMMAND_METHOD, getCommandProcessor(), new Object[] {project, runnable, name, groupId});
    }

}
