package org.intellij.openapi.command;

import com.intellij.openapi.command.CommandListener;
import com.intellij.openapi.command.CommandProcessor;
import com.intellij.openapi.project.Project;

abstract class CommandProcessorUnsupportedAdapter extends CommandProcessor {

    private String getClassName() {
        return getClass().getName();
    }

    public void executeCommand(Project project, Runnable runnable, String name, Object groupId) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getCurrentCommandName() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void executeCommand(Runnable runnable, String name, Object groupId) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setCurrentCommandName(String name) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setCurrentCommandGroupId(Object groupId) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Runnable getCurrentCommand() {
        throw new UnsupportedOperationException(getClassName());
    }

    public Project getCurrentCommandProject() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addCommandListener(CommandListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeCommandListener(CommandListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

}
