package org.intellij.openapi.command;

import com.intellij.openapi.command.CommandProcessor;
import com.intellij.openapi.project.Project;

import org.intellij.openapi.application.ApplicationInfoWrapper;

public abstract class CommandProcessorWrapper extends CommandProcessorDelegate {

    private static final CommandProcessorWrapper COMMAND_PROCESSOR_WRAPPER;

    static {
        CommandProcessor commandProcessor = CommandProcessor.getInstance();
        if (ApplicationInfoWrapper.getWrapperInstance().isAriadna()) {
            COMMAND_PROCESSOR_WRAPPER = new AriadnaCommandProcessorWrapper(commandProcessor);
        } else {
            COMMAND_PROCESSOR_WRAPPER = new AuroraCommandProcessorWrapper(commandProcessor);
        }
    }

    CommandProcessorWrapper(CommandProcessor commandProcessor) {
        super(commandProcessor);
    }

    public static CommandProcessorWrapper getWrapperInstance() {
        return COMMAND_PROCESSOR_WRAPPER;
    }

    public abstract void executeCommand(Project project, Runnable runnable, String name, Object groupId);

}
