package org.intellij.openapi.editor;

import com.intellij.openapi.editor.CaretModel;
import com.intellij.openapi.editor.LogicalPosition;

abstract class CaretModelDelegate extends CaretModelUnsupportedAdapter {

    private final CaretModel caretModel;

    CaretModelDelegate(CaretModel caretModel) {
        this.caretModel = caretModel;
    }

    public final LogicalPosition getLogicalPosition() {
        return caretModel.getLogicalPosition();
    }

    public final void moveToLogicalPosition(LogicalPosition logicalPosition) {
        caretModel.moveToLogicalPosition(logicalPosition);
    }

    public final int getOffset() {
        return caretModel.getOffset();
    }

    public final void moveToOffset(int offset) {
        caretModel.moveToOffset(offset);
    }

}
