package org.intellij.openapi.editor;

import com.intellij.openapi.editor.CaretModel;
import com.intellij.openapi.editor.LogicalPosition;
import com.intellij.openapi.editor.VisualPosition;
import com.intellij.openapi.editor.event.CaretListener;

abstract class CaretModelUnsupportedAdapter implements CaretModel {

    private String getClassName() {
        return getClass().getName();
    }

    public LogicalPosition getLogicalPosition() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void moveToLogicalPosition(LogicalPosition logicalPosition) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getOffset() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void moveToOffset(int offset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void moveToVisualPosition(VisualPosition pos) {
        throw new UnsupportedOperationException(getClassName());
    }

    public VisualPosition getVisualPosition() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addCaretListener(CaretListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeCaretListener(CaretListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

}
