package org.intellij.openapi.editor;

import com.intellij.openapi.editor.Document;

abstract class DocumentDelegate extends DocumentUnsupportedAdapter {

    private final Document document;

    DocumentDelegate(Document document) {
        this.document = document;
    }

    public final Document getNativeDocument() {
        return document;
    }

    public int getLineStartOffset(int line) {
        return document.getLineStartOffset(line);
    }

    public int getLineEndOffset(int line) {
        return document.getLineEndOffset(line);
    }

    public final int getLineNumber(int offset) {
        return document.getLineNumber(offset);
    }

    public final int getLineCount() {
        return document.getLineCount();
    }

    public final char[] getChars() {
        return document.getChars();
    }

    public final int getTextLength() {
        return document.getTextLength();
    }

    public final void insertString(int offset, String s) {
        document.insertString(offset, s);
    }

    public final void deleteString(int startOffset, int endOffset) {
        document.deleteString(startOffset, endOffset);
    }

}
