package org.intellij.openapi.editor;

import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.RangeMarker;
import com.intellij.openapi.editor.event.DocumentListener;
import com.intellij.openapi.editor.markup.MarkupModel;
import com.intellij.openapi.project.Project;

import org.intellij.openapi.util.UserDataHolderUnsupportedAdapter;

abstract class DocumentUnsupportedAdapter extends UserDataHolderUnsupportedAdapter implements Document {

    public int getLineStartOffset(int line) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLineEndOffset(int line) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLineNumber(int offset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLineCount() {
        throw new UnsupportedOperationException(getClassName());
    }

    public char[] getChars() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getText() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getTextLength() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void insertString(int offset, String s) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void deleteString(int startOffset, int endOffset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void replaceString(int startOffset, int endOffset, String s) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isWritable() {
        throw new UnsupportedOperationException(getClassName());
    }

    public long getModificationStamp() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void fireReadOnlyModificationAttempt() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addDocumentListener(DocumentListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeDocumentListener(DocumentListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public RangeMarker createRangeMarker(int startOffset, int endOffset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public MarkupModel getMarkupModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public MarkupModel getMarkupModel(Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

}
