package org.intellij.openapi.editor;

import com.intellij.openapi.editor.CaretModel;
import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.LogicalPosition;

abstract class EditorDelegate extends EditorUnsupportedAdapter {

    private final Editor editor;

    EditorDelegate(Editor editor) {
        this.editor = editor;
    }

    public final Editor getNativeEditor() {
        return editor;
    }

    public Document getDocument() {
        return editor.getDocument();
    }

    public CaretModel getCaretModel() {
        return editor.getCaretModel();
    }

    public final LogicalPosition offsetToLogicalPosition(int offset) {
        return editor.offsetToLogicalPosition(offset);
    }

}
