package org.intellij.openapi.editor;

import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.EditorFactory;
import com.intellij.openapi.editor.event.EditorEventMulticaster;
import com.intellij.openapi.editor.event.EditorFactoryListener;
import com.intellij.openapi.project.Project;

abstract class EditorFactoryUnsupportedAdapter extends EditorFactory {

    private String getClassName() {
        return getClass().getName();
    }

    public Document createDocument(String text) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor createEditor(Document document) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor createViewer(Document document) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor createEditor(Document document, Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor createViewer(Document document, Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void releaseEditor(Editor editor) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor[] getEditors(Document document) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Editor[] getAllEditors() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addEditorFactoryListener(EditorFactoryListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeEditorFactoryListener(EditorFactoryListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public EditorEventMulticaster getEventMulticaster() {
        throw new UnsupportedOperationException(getClassName());
    }

    public Document createDocument(char[] text) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getComponentName() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void initComponent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void disposeComponent() {
        throw new UnsupportedOperationException(getClassName());
    }

}
