package org.intellij.openapi.editor;

import com.intellij.openapi.editor.EditorSettings;
import com.intellij.openapi.project.Project;

abstract class EditorSettingsDelegate extends EditorSettingsUnsupportedAdapter {

    private final EditorSettings editorSettings;

    EditorSettingsDelegate(EditorSettings editorSettings) {
        this.editorSettings = editorSettings;
    }

    public final int getTabSize(Project project) {
        return editorSettings.getTabSize(project);
    }

    public final void setTabSize(int tabSize) {
        editorSettings.setTabSize(tabSize);
    }

}
