package org.intellij.openapi.editor;

import com.intellij.openapi.editor.EditorSettings;
import com.intellij.openapi.project.Project;

abstract class EditorSettingsUnsupportedAdapter implements EditorSettings {

    private String getClassName() {
        return getClass().getName();
    }

    public int getTabSize(Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setTabSize(int tabSize) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isRightMarginShown() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setRightMarginShown(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setRightMargin(int myRightMargin) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isLineNumbersShown() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setLineNumbersShown(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getAdditionalLinesCount() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setAdditionalLinesCount(int additionalLinesCount) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getAdditionalColumnsCount() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setAdditionalColumnsCount(int additinalColumnsCount) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isLineMarkerAreaShown() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setLineMarkerAreaShown(boolean lineMarkerAreaShown) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isFoldingOutlineShown() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setFoldingOutlineShown(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isUseTabCharacter(Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setUseTabCharacter(boolean useTabCharacter) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isSmartHome() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setSmartHome(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isVirtualSpace() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setVirtualSpace(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isCaretInsideTabs() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setCaretInsideTabs(boolean val) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isBlinkCaret() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setBlinkCaret(boolean blinkCaret) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getCaretBlinkPeriod() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setCaretBlinkPeriod(int blinkPeriod) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isBlockCursor() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setBlockCursor(boolean blockCursor) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLineCursorWidth() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setLineCursorWidth(int width) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getRightMargin(Project project) {
        throw new UnsupportedOperationException(getClassName());
    }

}
