package org.intellij.openapi.editor;

import java.awt.Point;
import javax.swing.JComponent;

import com.intellij.openapi.editor.CaretModel;
import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.EditorSettings;
import com.intellij.openapi.editor.FoldingModel;
import com.intellij.openapi.editor.LogicalPosition;
import com.intellij.openapi.editor.ScrollingModel;
import com.intellij.openapi.editor.SelectionModel;
import com.intellij.openapi.editor.VisualPosition;
import com.intellij.openapi.editor.event.EditorMouseListener;
import com.intellij.openapi.editor.event.EditorMouseMotionListener;
import com.intellij.openapi.editor.markup.MarkupModel;

import org.intellij.openapi.util.UserDataHolderUnsupportedAdapter;

abstract class EditorUnsupportedAdapter extends UserDataHolderUnsupportedAdapter implements Editor {

    public Document getDocument() {
        throw new UnsupportedOperationException(getClassName());
    }

    public SelectionModel getSelectionModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public CaretModel getCaretModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public LogicalPosition offsetToLogicalPosition(int offset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int logicalPositionToOffset(LogicalPosition pos) {
        throw new UnsupportedOperationException(getClassName());
    }

    public ScrollingModel getScrollingModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public EditorSettings getSettings() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isViewer() {
        throw new UnsupportedOperationException(getClassName());
    }

    public JComponent getComponent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public JComponent getContentComponent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public MarkupModel getMarkupModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public FoldingModel getFoldingModel() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLineHeight() {
        throw new UnsupportedOperationException(getClassName());
    }

    public Point logicalPositionToXY(LogicalPosition pos) {
        throw new UnsupportedOperationException(getClassName());
    }

    public VisualPosition logicalToVisualPosition(LogicalPosition logicalPos) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Point visualPositionToXY(VisualPosition visible) {
        throw new UnsupportedOperationException(getClassName());
    }

    public LogicalPosition visualToLogicalPosition(VisualPosition visiblePos) {
        throw new UnsupportedOperationException(getClassName());
    }

    public VisualPosition offsetToVisualPosition(int offset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public LogicalPosition xyToLogicalPosition(Point p) {
        throw new UnsupportedOperationException(getClassName());
    }

    public VisualPosition xyToVisualPosition(Point p) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addEditorMouseListener(EditorMouseListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeEditorMouseListener(EditorMouseListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addEditorMouseMotionListener(EditorMouseMotionListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeEditorMouseMotionListener(EditorMouseMotionListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

}
