package org.intellij.openapi.editor;

import com.intellij.openapi.editor.CaretModel;
import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.SelectionModel;

public final class EditorWrapper extends EditorDelegate {

    private final Document document;
    private final SelectionModel selectionModel;
    private final CaretModel caretModel;

    public EditorWrapper(Editor editor) {
        super(editor);
        DocumentWrapper documentWrapper = new DocumentWrapper(super.getDocument());
        document = documentWrapper;
        selectionModel = new SelectionModelWrapper(editor, documentWrapper);
        caretModel = new CaretModelWrapper(super.getCaretModel());
    }

    public Document getDocument() {
        return document;
    }

    public SelectionModel getSelectionModel() {
        return selectionModel;
    }

    public CaretModel getCaretModel() {
        return caretModel;
    }

}
