package org.intellij.openapi.editor;

import java.awt.Rectangle;

import com.intellij.openapi.editor.LogicalPosition;
import com.intellij.openapi.editor.ScrollType;
import com.intellij.openapi.editor.ScrollingModel;
import com.intellij.openapi.editor.event.VisibleAreaListener;

abstract class ScrollingModelUnsupportedAdapter implements ScrollingModel {

    private String getClassName() {
        return getClass().getName();
    }

    public void scrollToCaret(ScrollType scrollType) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Rectangle getVisibleArea() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void scrollTo(LogicalPosition pos, ScrollType scrollType) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getVerticalScrollOffset() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getHorizontalScrollOffset() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void scrollVertically(int scrollOffset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void scrollHorizontally(int scrollOffset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addVisibleAreaListener(VisibleAreaListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeVisibleAreaListener(VisibleAreaListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

}
