package org.intellij.openapi.editor;

import com.intellij.openapi.editor.SelectionModel;

abstract class SelectionModelDelegate extends SelectionModelUnsupportedAdapter {

    private final SelectionModel selectionModel;

    SelectionModelDelegate(SelectionModel selectionModel) {
        this.selectionModel = selectionModel;
    }

    public final boolean hasSelection() {
        return selectionModel.hasSelection();
    }

    public final int getSelectionStart() {
        return selectionModel.getSelectionStart();
    }

    public final int getSelectionEnd() {
        return selectionModel.getSelectionEnd();
    }

    public final void removeSelection() {
        selectionModel.removeSelection();
    }

    public final void setSelection(int startOffset, int endOffset) {
        selectionModel.setSelection(startOffset, endOffset);
    }

    public final int getLeadSelectionOffset() {
        return selectionModel.getLeadSelectionOffset();
    }

}
