package org.intellij.openapi.editor;

import com.intellij.openapi.editor.SelectionModel;
import com.intellij.openapi.editor.event.SelectionListener;

abstract class SelectionModelUnsupportedAdapter implements SelectionModel {

    private String getClassName() {
        return getClass().getName();
    }

    public boolean hasSelection() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getSelectionStart() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getSelectionEnd() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void setSelection(int startOffset, int endOffset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeSelection() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLeadSelectionOffset() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getSelectedText() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void addSelectionListener(SelectionListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void removeSelectionListener(SelectionListener listener) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void selectLineAtCaret() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void selectWordAtCaret() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void copySelectionToClipboard() {
        throw new UnsupportedOperationException(getClassName());
    }

}
