package org.intellij.openapi.editor.actionSystem;

import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.actionSystem.EditorActionHandler;

final class EditorActionHandlerImpl extends EditorActionHandler {

    private final ActionHandlerFactory actionHandlerFactory;

    EditorActionHandlerImpl(ActionHandlerFactory actionHandlerFactory) {
        this.actionHandlerFactory = actionHandlerFactory;
    }

    public void execute(Editor editor, DataContext dataContext) {
        actionHandlerFactory.createActionHandler(editor, dataContext).executeAction();
    }

}
