package org.intellij.openapi.editor.actionSystem;

import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.actionSystem.EditorWriteActionHandler;

final class EditorWriteActionHandlerImpl extends EditorWriteActionHandler {

    private final ActionHandlerFactory actionHandlerFactory;

    EditorWriteActionHandlerImpl(ActionHandlerFactory actionHandlerFactory) {
        this.actionHandlerFactory = actionHandlerFactory;
    }

    public void executeWriteAction(Editor editor, DataContext dataContext) {
        actionHandlerFactory.createActionHandler(editor, dataContext).executeAction();
    }

}
