package org.intellij.openapi.fileTypes;

import java.lang.reflect.Method;
import javax.swing.Icon;

import com.intellij.openapi.fileTypes.FileType;

import org.intellij.util.ReflectUtil;

final class AriadnaFileTypeWrapper extends FileTypeWrapper {

    private static final Method GET_ICON_METHOD;

    static {
        GET_ICON_METHOD = ReflectUtil.getMethod(FileType.class, "getIcon");
    }

    AriadnaFileTypeWrapper(FileType fileType) {
        super(fileType);
    }

    Icon directGetIcon(FileType fileType) {
        return (Icon) ReflectUtil.invoke(GET_ICON_METHOD, fileType);
    }

}
