package org.intellij.openapi.fileTypes;

import java.lang.reflect.Method;
import javax.swing.Icon;

import com.intellij.openapi.fileTypes.FileType;
import com.intellij.openapi.vfs.VirtualFile;

import org.intellij.util.ReflectUtil;

final class AuroraFileTypeWrapper extends FileTypeWrapper {

    private static final Object[] NULL_PARAMETER = new Object[] {null};
    private static final Method GET_ICON_METHOD;

    static {
        GET_ICON_METHOD = ReflectUtil.getMethod(FileType.class, "getIcon", new Class[] {VirtualFile.class});
    }

    AuroraFileTypeWrapper(FileType fileType) {
        super(fileType);
    }

    Icon directGetIcon(FileType fileType) {
        return (Icon) ReflectUtil.invoke(GET_ICON_METHOD, fileType, NULL_PARAMETER);
    }

}
