package org.intellij.openapi.fileTypes;

import com.intellij.openapi.fileTypes.FileType;

import org.intellij.openapi.application.ApplicationInfoWrapper;
import org.intellij.util.ResourceMap;

final class FileTypeMap extends ResourceMap {

    private static final FileTypeWrapperFactory FILE_TYPE_WRAPPER_FACTORY;

    private FileType fileType;

    static {
        if (ApplicationInfoWrapper.getWrapperInstance().buildNumber() < 816) {
            FILE_TYPE_WRAPPER_FACTORY = new AriadnaFileTypeWrapperFactory();
        } else {
            FILE_TYPE_WRAPPER_FACTORY = new AuroraFileTypeWrapperFactory();
        }
    }

    FileType getFileType(FileType fileType) {
        this.fileType = fileType;
        return (FileType) getResource();
    }

    protected Object getKey() {
        return fileType.getName();
    }

    protected Object createResource() {
        return FILE_TYPE_WRAPPER_FACTORY.createFileTypeWrapper(fileType);
    }

}
