package org.intellij.openapi.util.externalizer;

import java.lang.reflect.Field;

final class BooleanValue implements Value {

    private boolean b;

    public String getText() {
        return String.valueOf(b);
    }

    public void setText(String text) {
        b = Boolean.valueOf(text).booleanValue();
    }

    public void get(Object object, Field field) throws IllegalAccessException {
        b = field.getBoolean(object);
    }

    public void set(Object object, Field field) throws IllegalAccessException {
        field.setBoolean(object, b);
    }

}
