package org.intellij.openapi.util.externalizer;

import java.lang.reflect.Field;

final class FieldItem {

    private final String name;

    private Value value;
    private String text;

    FieldItem(String name, Value value) {
        this.name = name;
        this.value = value;
    }

    FieldItem(String name, String text) {
        this.name = name;
        this.text = text;
    }

    String getName() {
        return name;
    }

    String getText() {
        return value.getText();
    }

    void set(Object object, Field field) throws IllegalAccessException {
        Value value = ValueFactory.getValue(field.getType());
        value.setText(text);
        field.setAccessible(true);
        value.set(object, field);
    }

}
