package org.intellij.openapi.util.externalizer;

import java.lang.reflect.Field;

final class IntValue implements Value {

    private int k;

    public String getText() {
        return String.valueOf(k);
    }

    public void setText(String text) {
        k = Integer.valueOf(text).intValue();
    }

    public void get(Object object, Field field) throws IllegalAccessException {
        k = field.getInt(object);
    }

    public void set(Object object, Field field) throws IllegalAccessException {
        field.setInt(object, k);
    }

}
