package org.intellij.openapi.util.externalizer;

import java.lang.reflect.Field;

final class JDOMReader {

    private JDOMReader() {
    }

    static void populateField(Object object, FieldItem fieldItem) {
        Field field;
        try {
            field = object.getClass().getDeclaredField(fieldItem.getName());
        } catch (NoSuchFieldException e) {
            field = null;
        }
        if (field != null) {
            try {
                fieldItem.set(object, field);
            } catch (IllegalAccessException e) {
                throw new RuntimeException(e);
            }
        }
    }

}
