package org.intellij.openapi.vfs;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import com.intellij.openapi.vfs.VirtualFile;
import com.intellij.openapi.vfs.VirtualFileSystem;

public abstract class VirtualFileUnsupportedAdapter extends VirtualFile {

    private String getClassName() {
        return getClass().getName();
    }

    public String getName() {
        throw new UnsupportedOperationException(getClassName());
    }

    public VirtualFileSystem getFileSystem() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getPath() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void rename(Object requestor, String newName) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isWritable() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isDirectory() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isValid() {
        throw new UnsupportedOperationException(getClassName());
    }

    public VirtualFile getParent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public VirtualFile[] getChildren() {
        throw new UnsupportedOperationException(getClassName());
    }

    public VirtualFile createChildDirectory(Object requestor, String name) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public VirtualFile createChildData(Object requestor, String name) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void delete(Object requestor) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void move(Object requestor, VirtualFile newParent) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public InputStream getInputStream() throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public OutputStream getOutputStream(Object requestor) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public OutputStream getOutputStream(Object requestor, long newModificationStamp) throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public byte[] contentsToByteArray() throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public char[] contentsToCharArray() throws IOException {
        throw new UnsupportedOperationException(getClassName());
    }

    public long getModificationStamp() {
        throw new UnsupportedOperationException(getClassName());
    }

    public long getTimeStamp() {
        throw new UnsupportedOperationException(getClassName());
    }

    public long getActualTimeStamp() {
        throw new UnsupportedOperationException(getClassName());
    }

    public long getLength() {
        throw new UnsupportedOperationException(getClassName());
    }

    public void refresh(boolean asynchronous, boolean recursive, Runnable postRunnable) {
        throw new UnsupportedOperationException(getClassName());
    }

}
