package org.intellij.psi;

import java.lang.reflect.Method;

import com.intellij.openapi.project.Project;

import org.intellij.util.ReflectUtil;

final class AriadnaPsiDocumentManagerWrapper extends PsiDocumentManagerWrapper {

    private static final Class[] GET_INSTANCE_PARAMETER_TYPES = new Class[] {Project.class};

    private final Method commitAllToPsiFileMethod;
    private final Object codeEditorManager;

    AriadnaPsiDocumentManagerWrapper(Project project) {
        Class codeEditorManagerClass = ReflectUtil.getClassForName("com.intellij.codeEditor.CodeEditorManager");
        commitAllToPsiFileMethod = ReflectUtil.getMethod(codeEditorManagerClass, "commitAllToPsiFile");
        Method getInstanceMethod = ReflectUtil.getMethod(codeEditorManagerClass, "getInstance", GET_INSTANCE_PARAMETER_TYPES);
        codeEditorManager = ReflectUtil.invoke(getInstanceMethod, null, new Object[] {project});
    }

    public void commitAllDocuments() {
        ReflectUtil.invoke(commitAllToPsiFileMethod, codeEditorManager);
    }

}
