package org.intellij.psi;

import com.intellij.openapi.project.Project;

import org.intellij.openapi.application.ApplicationInfoWrapper;

public abstract class PsiDocumentManagerWrapper {

    private static final PsiDocumentManagerWrapperMap PSI_DOCUMENT_MANAGER_WRAPPER_MAP;

    static {
        PsiDocumentManagerWrapperFactory psiDocumentManagerWrapperFactory;
        if (ApplicationInfoWrapper.getWrapperInstance().isAriadna()) {
            psiDocumentManagerWrapperFactory = new AriadnaPsiDocumentManagerWrapperFactory();
        } else {
            psiDocumentManagerWrapperFactory = new AuroraPsiDocumentManagerWrapperFactory();
        }
        PSI_DOCUMENT_MANAGER_WRAPPER_MAP = new PsiDocumentManagerWrapperMap(psiDocumentManagerWrapperFactory);
    }

    public static PsiDocumentManagerWrapper getWrapperInstance(Project project) {
        return PSI_DOCUMENT_MANAGER_WRAPPER_MAP.getPsiDocumentManagerWrapper(project);
    }

    public abstract void commitAllDocuments();

}
