package org.intellij.psi;

import com.intellij.openapi.project.Project;

import org.intellij.util.ResourceMap;

final class PsiDocumentManagerWrapperMap extends ResourceMap {

    private final PsiDocumentManagerWrapperFactory psiDocumentManagerWrapperFactory;

    private Project project;

    PsiDocumentManagerWrapperMap(PsiDocumentManagerWrapperFactory psiDocumentManagerWrapperFactory) {
        this.psiDocumentManagerWrapperFactory = psiDocumentManagerWrapperFactory;
    }

    PsiDocumentManagerWrapper getPsiDocumentManagerWrapper(Project project) {
        this.project = project;
        return (PsiDocumentManagerWrapper) getResource();
    }

    protected Object getKey() {
        return project;
    }

    protected Object createResource() {
        return psiDocumentManagerWrapperFactory.createPsiDocumentManagerWrapper(project);
    }

}
