package org.intellij.psi;

import com.intellij.psi.PsiElement;

abstract class PsiElementDelegate extends PsiElementUnsupportedAdapter {

    private final PsiElement psiElement;

    PsiElementDelegate(PsiElement psiElement) {
        if (psiElement == null) {
            throw new NullPointerException();
        }
        this.psiElement = psiElement;
    }

    public final PsiElement getParent() {
        return psiElement.getParent();
    }

    public final PsiElement findElementAt(int offset) {
        return psiElement.findElementAt(offset);
    }

    public final PsiElement getPrevSibling() {
        return psiElement.getPrevSibling();
    }

}
