package org.intellij.psi;

import com.intellij.openapi.util.TextRange;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiElementVisitor;
import com.intellij.psi.PsiFile;
import com.intellij.psi.PsiManager;
import com.intellij.psi.PsiReference;
import com.intellij.psi.PsiSubstitutor;
import com.intellij.psi.scope.PsiScopeProcessor;
import com.intellij.util.IncorrectOperationException;

import org.intellij.openapi.util.UserDataHolderUnsupportedAdapter;

abstract class PsiElementUnsupportedAdapter extends UserDataHolderUnsupportedAdapter implements PsiElement {

    public PsiElement getParent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement findElementAt(int offset) {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getPrevSibling() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiManager getManager() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement[] getChildren() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getFirstChild() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getLastChild() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getNextSibling() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiFile getContainingFile() {
        throw new UnsupportedOperationException(getClassName());
    }

    public TextRange getTextRange() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getStartOffsetInParent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getLength() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiReference findReferenceAt(int i) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int getTextOffset() {
        throw new UnsupportedOperationException(getClassName());
    }

    public String getText() {
        throw new UnsupportedOperationException(getClassName());
    }

    public char[] textToCharArray() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getNavigationElement() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean textMatches(char[] chars, int i, int i1) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean textMatches(PsiElement psiElement) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean textContains(char c) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void accept(PsiElementVisitor psiElementVisitor) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void acceptChildren(PsiElementVisitor psiElementVisitor) {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement copy() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement add(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement addBefore(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement addAfter(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAdd(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAddBefore(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAddAfter(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement addRange(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement addRangeBefore(PsiElement psiElement, PsiElement psiElement1, PsiElement psiElement2)
            throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement addRangeAfter(PsiElement psiElement, PsiElement psiElement1, PsiElement psiElement2)
            throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAddRange(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAddRangeBefore(PsiElement psiElement, PsiElement psiElement1, PsiElement psiElement2)
            throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkAddRangeAfter(PsiElement psiElement, PsiElement psiElement1, PsiElement psiElement2)
            throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void delete() throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkDelete() throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void deleteChildRange(PsiElement psiElement, PsiElement psiElement1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement replace(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void checkReplace(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isValid() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isWritable() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiReference getReference() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiReference[] getReferences() {
        throw new UnsupportedOperationException(getClassName());
    }

    public Object getCopyableUserData(Object o) {
        throw new UnsupportedOperationException(getClassName());
    }

    public void putCopyableUserData(Object o, Object o1) {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement getContext() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isPhysical() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean processDeclarations(PsiScopeProcessor psiScopeProcessor, PsiSubstitutor psiSubstitutor, PsiElement psiElement,
            PsiElement psiElement1) {
        throw new UnsupportedOperationException(getClassName());
    }

}
