package org.intellij.psi.codeStyle;

import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.codeStyle.CodeStyleManager;
import com.intellij.util.IncorrectOperationException;

abstract class CodeStyleManagerDelegate extends CodeStyleManagerUnsupportedAdapter {

    private final CodeStyleManager codeStyleManager;

    CodeStyleManagerDelegate(CodeStyleManager codeStyleManager) {
        this.codeStyleManager = codeStyleManager;
    }

    public final PsiElement reformatRange(PsiElement psiElement, int startOffset, int endOffset)
            throws IncorrectOperationException {
        return codeStyleManager.reformatRange(psiElement, startOffset, endOffset);
    }

    public final void optimizeImports(PsiFile psiFile) throws IncorrectOperationException {
        codeStyleManager.optimizeImports(psiFile);
    }

}
