package org.intellij.psi.codeStyle;

import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiExpression;
import com.intellij.psi.PsiFile;
import com.intellij.psi.PsiImportList;
import com.intellij.psi.PsiType;
import com.intellij.psi.PsiVariable;
import com.intellij.psi.codeStyle.CodeStyleManager;
import com.intellij.psi.codeStyle.CodeStyleScheme;
import com.intellij.psi.codeStyle.CodeStyleSettings;
import com.intellij.psi.codeStyle.IdentifierRole;
import com.intellij.psi.codeStyle.Indent;
import com.intellij.psi.codeStyle.SuggestedNameInfo;
import com.intellij.psi.codeStyle.VariableKind;
import com.intellij.util.IncorrectOperationException;

abstract class CodeStyleManagerUnsupportedAdapter extends CodeStyleManager {

    private String getClassName() {
        return getClass().getName();
    }

    public void optimizeImports(PsiFile psiFile) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement reformatRange(PsiElement psiElement, int startOffset, int endOffset)
            throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement reformat(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public Project getProject() {
        throw new UnsupportedOperationException(getClassName());
    }

    public CodeStyleSettings getSettings() {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isUseDefaultDodeStyleScheme() {
        throw new UnsupportedOperationException(getClassName());
    }

    public CodeStyleScheme getUsedCodeStyleScheme() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement shortenClassReferences(PsiElement psiElement) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public void shortenClassReferences(PsiElement psiElement, int i, int i1) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiImportList prepareOptimizeImportsResult(PsiFile psiFile) {
        throw new UnsupportedOperationException(getClassName());
    }

    public int adjustLineIndent(PsiFile psiFile, int i) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean isLineToBeIndented(PsiFile psiFile, int i) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Indent getIndent(String s) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String fillIndent(Indent indent) {
        throw new UnsupportedOperationException(getClassName());
    }

    public Indent zeroIndent() {
        throw new UnsupportedOperationException(getClassName());
    }

    public PsiElement insertNewLineIndentMarker(PsiFile psiFile, int i) throws IncorrectOperationException {
        throw new UnsupportedOperationException(getClassName());
    }

    public VariableKind getVariableKind(PsiVariable psiVariable) {
        throw new UnsupportedOperationException(getClassName());
    }

    public SuggestedNameInfo suggestVariableName(VariableKind variableKind, String s, PsiExpression psiExpression,
            PsiType psiType) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String variableNameToPropertyName(String s, VariableKind variableKind) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String propertyNameToVariableName(String s, VariableKind variableKind) {
        throw new UnsupportedOperationException(getClassName());
    }

    public String suggestUniqueVariableName(String s, PsiElement psiElement, boolean b) {
        throw new UnsupportedOperationException(getClassName());
    }

    public boolean checkIdentifierRole(String s, IdentifierRole identifierRole) {
        throw new UnsupportedOperationException(getClassName());
    }

}
