package org.intellij.psi.codeStyle;

import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.editor.Editor;
import com.intellij.psi.PsiElement;

public class ReformatEvent {

    private final PsiElement psiElement;
    private final Editor editor;
    private final DataContext dataContext;

    ReformatEvent(PsiElement psiElement, Editor editor, DataContext dataContext) {
        this.psiElement = psiElement;
        this.editor = editor;
        this.dataContext = dataContext;
    }

    public final PsiElement getPsiElement() {
        return psiElement;
    }

    public final Editor getEditor() {
        return editor;
    }

    public final DataContext getDataContext() {
        return dataContext;
    }

}
