package org.intellij.psi.codeStyle;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;

public final class ReformatManager {

    private static final ReformatManager REFORMAT_MANAGER = new ReformatManager();

    private final Collection listenerCollection = new ArrayList(1);
    private final Collection unmodifiableListenerCollection = Collections.unmodifiableCollection(listenerCollection);

    private boolean active;

    private ReformatManager() {
    }

    Collection getReformatListeners() {
        return unmodifiableListenerCollection;
    }

    public void activate() {
        active = true;
    }

    // public API for clients:

    public static ReformatManager getInstance() {
        return REFORMAT_MANAGER;
    }

    public boolean isActive() {
        return active;
    }

    public void addReformatListener(ReformatListener reformatListener) {
        if (reformatListener == null) {
            throw new NullPointerException();
        }
        listenerCollection.add(reformatListener);
    }

}
