package org.intellij.psi.codeStyle;

import com.intellij.openapi.actionSystem.DataContext;
import com.intellij.openapi.editor.Editor;
import com.intellij.psi.PsiElement;

import org.intellij.openapi.util.OffsetRange;

public final class ReformatRangeEvent extends ReformatEvent {

    private final OffsetRange offsetRange;

    ReformatRangeEvent(PsiElement psiElement, Editor editor, DataContext dataContext, OffsetRange offsetRange) {
        super(psiElement, editor, dataContext);
        this.offsetRange = offsetRange;
    }

    public int getStartOffset() {
        return offsetRange.getStartOffset();
    }

    public int getEndOffset() {
        return offsetRange.getEndOffset();
    }

}
