package org.intellij.psi.util;

import com.intellij.openapi.util.TextRange;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.util.PsiTreeUtil;

public final class PsiTreeWrapperUtil {

    private PsiTreeWrapperUtil() {
    }

    public static PsiElement findCommonParent(PsiFile psiFile, TextRange textRange) {
        PsiElement startElement = psiFile.findElementAt(textRange.getStartOffset());
        PsiElement endElement = psiFile.findElementAt(textRange.getEndOffset() - 1);
        PsiElement commonParent = PsiTreeUtil.findCommonParent(startElement, endElement);
        if (commonParent == null) {
            throw new NullPointerException();
        }
        return commonParent;
    }

}
