package org.intellij.openapi.util.externalizer;

import junit.framework.TestCase;

import org.intellij.openapi.util.externalizer.foo.BooleanFooFactory;
import org.intellij.openapi.util.externalizer.foo.IntFooFactory;

public final class JDOMReaderTest extends TestCase {

    public void testBooleanField() {
        Object instance = BooleanFooFactory.getInstance(false);
        JDOMReader.populateField(instance, new FieldItem("active", "true"));
        assertEquals(true, BooleanFooFactory.getActiveValue(instance));
    }

    public void testIntField() {
        Object instance = IntFooFactory.getInstance(35);
        JDOMReader.populateField(instance, new FieldItem("historyLimit", "71"));
        assertEquals(71, IntFooFactory.getHistoryLimit(instance));
    }

}
