package org.intellij.openapi.util.publictest;

import junit.framework.TestCase;

import org.intellij.openapi.util.ReadOnlyCharArray;

public final class ReadOnlyCharArrayTest extends TestCase {

    public void testConstructor() {
        int n = 100000;
        char[] chars = new char[n];
        long start = System.currentTimeMillis();
        for (int i = 0; i < 1000; i++) {
            new ReadOnlyCharArray(chars, n);
        }
        long end = System.currentTimeMillis();
        long time = end - start;
        assertTrue("time: " + time, time < 156);
    }

    public void testCharAt() {
        ReadOnlyCharArray array = new ReadOnlyCharArray(new char[8], 4);
        try {
            array.charAt(4);
            fail();
        } catch (IndexOutOfBoundsException e) {
        }
    }

    public void testSubstring() {
        String s = "abcd";
        ReadOnlyCharArray array = new ReadOnlyCharArray(s.toCharArray(), s.length());
        assertEquals("bc", array.substring(1, 3));
    }

}
